#search-container {
    margin-bottom: 20px;
}

.map-search {
    max-width: 310px;
    min-width: 310px;
    z-index: 1;
    left: -155px;
    top: 0px;
}

    .map-search #sub-options-container {
        position: absolute;
        top: 34px;
        left: 1px;
        width: 209px;
    }

        .map-search #sub-options-container .form-check-label {
            padding-right: 9px;
            border-right: solid 1px white;
        }

        .map-search #sub-options-container .check-container {
            float: left;
            background-color: white;
            margin-left: 0px;
            padding: 2px 15px;
            padding-right: 0px;
            font-weight: bold;
        }

        .map-search #sub-options-container #dishes-check-container {
            color: #7959af;
            border-bottom-right-radius: 10px;
            width:100%;
            border-bottom: solid 1px;
    border-right: solid 1px;
        }

        .map-search #sub-options-container #places-check-container {
            color: #2596be;
            width:100%;
            border-bottom-left-radius: 10px;
            border-bottom: solid 1px;
            border-left: solid 1px;
            border-right: solid 1px lightgrey;
        }

        .map-search #sub-options-container #dishesCheck {
            background-color: #7959af;
            border-color: #7959af;
        }

        .map-search #sub-options-container #placesCheck {
            background-color: #2596be;
            border-color: #2596be;
        }

        .map-search #sub-options-container #map-more-options-btn {
            padding-left: 2px;
        }

            .map-search #sub-options-container #map-more-options-btn i {
                position: relative;
                top: 1px;
                left: 2px;
            }

#sub-options-container > div:nth-child(1) {
    border-bottom-left-radius: 10px;
}

.map-search .more-options-link .form-check-input {
    /*margin-left: 5px;*/
}

.map-search .more-options-link a {
    margin-left: 5px;
}

.map-search #search-term-input {
    border-bottom-left-radius: 0;
    border-top-left-radius: 10px;
    text-align: center;
}

.map-search #searchButton {
    /*font-weight:bold;*/
    letter-spacing: 0px;
}



#are-you-here-alert {
    /* margin:0 auto; */
    max-width: 600px;
    min-width: 350px;
    position: absolute;
    z-index: 2;
    left: -175px;
    background-color: #7959af;
    color: white;
    box-shadow: rgb(38 57 77) 0px 20px 30px -10px;
    border-bottom: 0;
}

    #are-you-here-alert strong {
        position: relative;
        top: -10px;
        font-size: 16px;
    }

    #are-you-here-alert #place-name {
        font-size: 1.25em;
        border-bottom: solid 2px #2596be;
        color: white;
        text-decoration: none;
    }

#go-to-my-location-icon {
    z-index: 1;
    position: relative;
    width: 39px;
    bottom: 204px;
    background-color: white;
    padding: 5px;
}

.gm-style .gm-style-iw-c {
    background-color: rgb(72 38 131 / 80%);
    padding-top: 25px;
}

.gm-style-iw-d {
    overflow: hidden !important;
    color: white;
}

.gm-style .gm-style-iw-t::after {
    background: #482683;
    z-index: -1;
}
/*close button*/
#map > div > div > div:nth-child(2) > div:nth-child(2) > div > div:nth-child(4) > div > div > div > div > button > img {
    background-color: white;
    border-radius: 5px;
}

.gm-style {
    font-family: 'Nunito' !important;
}

.info-window {
    /*max-width: 290px;*/
    max-height: 400px;
    padding: 5px;
    overflow-y: auto;
    padding-right: 0;
    margin-right: 0;
    margin-top: -13px;
    padding-top: 10px;
    min-width: 285px;
}

    .info-window h2 {
        font-size: 20px;
        text-align: center;
        margin-bottom: 10px;
    }

    .info-window .btn {
        margin: 0 auto;
        /* display: table; */
        margin-bottom: -25px;
    }

    .info-window .carousel-indicators {
        /* bottom: 75px; */
    }

    .info-window .carousel {
        margin-right: 5px;
        margin-top: 20px;
    }




#searchButton {
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
}


@media (max-width: 768px) {
    .gm-style .gm-style-iw-c {
        max-width: 90vw !important;
        /*padding-right: 10px !important;*/
    }
}

/*More options partial*/
#dishes-switch {
    background-color: #7959af;
    border-color: #7959af;
}

#places-switch {
    background-color: #2596be;
    border-color: #2596be;
}

#no-results-alert {
    width: 98px;
    left: -49px;
    font-size: 14px;
    padding: 4px;
    background-color: rgb(211 211 211 / 50%);
    top: 80px;
    z-index: 2;
    position: absolute;
}

#no-results-big-alert, #return-to-bali-alert {
    z-index: 2;
    width: 330px;
    position: absolute;
    padding-bottom: 0;
    left: -160px;
    top: 0px;
    height: 95px;
}

    #return-to-bali-alert a {
        display: block;
    }


@media (min-width: 768px) {
    .map-search {
        top: 10px;
        min-width: 418px;
    }

        .map-search #sub-options-container {
            width: 303px;
            top: 38px;
            left: 1px;
        }
    #no-results-big-alert, #return-to-bali-alert {
        height:100px;
        width:366px;
    }
}

.search-here-prompt {
    border: 2px solid #dadada;
    border-color: #9ecaed;
    box-shadow: 0 0 10px #9ecaed;
}

.menu-link-container {
    display: block;
    width: 100px;
    float: right;
    position: relative;
    margin-bottom: -60px;
    top: -58px;
    margin-right: 10px;
}

.review-link-container-home {
    height: 25px;
}

.rate-dish-link {
    text-align: right;
    position: relative;
    top: -30px;
    left: 10px;
}


/*#mapPlaceModal .modal-content {
    background-color: rgb(233 236 239 / 90%);
    color: black;
    max-height: 90%;
    overflow-y: auto;
    border-radius: 15px;
}*/
/*#mapPlaceModal .modal-body {
    overflow-y: auto;
    max-height:100%;
}*/

/*#mapPlaceModal h2 {
    margin-bottom: 20px;
}

#mapPlaceModal .btn-close {
    position: relative;
    left: -10px;
}

#mapPlaceModal .review-link-container2 a {
    font-size: 1em;
}

#mapPlaceModal .map-link {
    border: solid 2px;
    margin-bottom: 5px;
    color: white;
    border-radius: 10px;
    padding: 8px;
}*/



#mapPlaceModal .modal-content {
    background-color: white;
    color: black;
    max-height: 90%;
    overflow-y: auto;
    border-radius: 15px;
}

.modal-content::-webkit-scrollbar { 
    display: none;  /* Safari and Chrome */
}

#mapPlaceModal h2 {
    /* margin-bottom: 20px; */
    font-size: 20px;
    text-align: center;
}

#mapPlaceModal .btn-close {
    position: relative;
    left: -15px;
}

#mapPlaceModal .review-link-container2 a {
    font-size: 1em;
    box-shadow: rgb(0 0 0 / 25%) 0px 8px 19px, rgb(0 0 0 / 22%) 0px 5px 4px;
}

#mapPlaceModal .btn {
    margin-bottom: 5px;
    color: white;
    border-radius: 20px;
    padding: 0 8px;
    height: 24px;
    font-size:14px;
}

div#carouselExampleCaptions {
    margin: 0 auto;
}
/*#mapPlaceModal .modal-body {
    overflow-y: auto;
    max-height:100%;
}*/

#mapPlaceModal h2 {
    font-display: block;
    line-height: inherit;
    font-size: 22px;
    margin-bottom: 10px;
    margin-top: 0;
    /*Wtf dongle is 4.5mb*/
    /* font-family: 'dongle'; */
    font-weight: bold;
}

#mapPlaceModal .btn-close {
    position: relative;
    left: -10px;
}

#mapPlaceModal .review-link-container2 a {
    font-size: 1em;
}

#mapPlaceModal .map-link {
    margin-bottom: 5px;
    color: white;
    border-radius: 20px;
    padding: 0 8px;
    background-color: #68ae5f;
    box-shadow:rgb(0 0 0 / 25%) 0px 8px 19px, rgb(0 0 0 / 22%) 0px 5px 4px;
}

#mapPlaceModal .map-carousel-caption .review-link {
    padding:2px 6px;
}

.modal-header {
    /* margin-bottom: -20px; */
    /*position: fixed;
    z-index: 3;
    background: white;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    margin-right: 7px;*/
}

#mapPlaceModalContent img {
    /* border-radius: 15px; */
}

button.carousel-control-prev {
    top:55px
}
button.carousel-control-next {
    top:55px
}

.carousel-indicators {
    bottom:65px;
}

.yum-score-col {}

#mapPlaceModal .btn-place {
    box-shadow:rgb(0 0 0 / 25%) 0px 8px 19px, rgb(0 0 0 / 22%) 0px 5px 4px;
}

#mapPlaceModal h5 {
    margin-top:10px;
    font-weight:bold;
    margin-left: -10px;
}

#mapPlaceModalContent .place-menu-link {
    text-decoration: underline;
    text-decoration-color: #2596be;
    border: none;
}

#mapPlaceModalContent i, #mapPlaceModalContentPlaceholder i {
    margin-right: 5px;
}

.place-content-container .maps-place-link-container {
    border: solid 1px #a7a7a7;
    border-radius: 15px;
    padding: 2px 7px;
    width: fit-content;
    background-color: #68ae5f;
    box-shadow: rgb(50 50 93 / 25%) 2px 7px 8px -2px, rgb(0 0 0 / 30%) 0px 5px 6px -6px;
    margin-left: 5px;
    margin-bottom:10px;
}

.place-content-container .maps-place-link-container a{
    color:white;
}

.dollar-price {
    font-weight: bold;
    letter-spacing: 1.5px;
}

div#mapPlaceModalContent {
        /*min-height: 125px;*/
}

#mapPlaceModalContentPlaceholder img.d-block.w-100.dish-image {
    height: 100px;
    width: 100px !important;
    margin: 138px auto;
}

.row.align-items-center.text-center.mapModalLinksContainer {
    margin-bottom:20px
}

#mapPlaceModal .modal-header {
    padding-bottom: 0px;
}

#mapPlaceModal .carousel-container { margin-top:1px;}

.map-carousel-title .yum-score-container {
    right: 1.5px;
    position: relative;
}

.map-no-img-title .yum-score-col {
    top:-5px;
    color:white;
}

.mapModalLinksContainer svg {
    width: 13px;
    position:relative;
    bottom:1px;
}

.no-img-container .map-carousel-title {
    position: relative;
}

.no-img-container .map-carousel-title .dish-title-col{
    text-align:left;
}

#mapPlaceModal .no-img-container .map-carousel-title .dish-title-col h5{
    margin-left:0;
    color:black;
    text-shadow:none;
}

.no-img-container p {
    margin-left:55px
}